Skip to main content
PUT
/
v1
/
incident_retrospective_steps
/
{id}
Update an incident retrospective step
curl --request PUT \
  --url https://api.rootly.com/v1/incident_retrospective_steps/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "incident_retrospective_steps",
    "attributes": {
      "title": "<string>",
      "description": "<string>",
      "due_date": "<string>",
      "position": 123,
      "skippable": true
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/incident_retrospective_steps/{id}"

payload = { "data": {
"type": "incident_retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"due_date": "<string>",
"position": 123,
"skippable": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'incident_retrospective_steps',
attributes: {
title: '<string>',
description: '<string>',
due_date: '<string>',
position: 123,
skippable: true
}
}
})
};

fetch('https://api.rootly.com/v1/incident_retrospective_steps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "incident_retrospective_steps",
    "attributes": {
      "retrospective_step_id": "<string>",
      "incident_id": "<string>",
      "title": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "description": "<string>",
      "kind": "<string>",
      "due_date": "<string>",
      "position": 123,
      "skippable": true
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/vnd.api+json
data
object
required

Response

incident_retrospective_step updated

data
object
required
included
object[]